# $Revision: 1.41 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Statistics
%define		pnam	MaxEntropy
Summary:	MaxEntropy - Perl5 module for Maximum Entropy Modeling and Feature Induction
Summary(pl.UTF-8):	MaxEntropy - moduł do modelowania największej entropii i indukcji cech
Name:		perl-Statistics-MaxEntropy
Version:	0.9
Release:	15
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b1f7972596653b423e5d65fc7e29f2ee
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-perldoc}
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-perldoc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an implementation of the Generalised and Improved
Iterative Scaling (GIS, IIS) algorithms and the Feature Induction (FI)
algorithm as defined in (Darroch and Ratcliff 1972) and (Della Pietra
et al. 1997). The purpose of the scaling algorithms is to find the
maximum entropy distribution given a set of events and (optionally) an
initial distribution. Also a set of candidate features may be
specified; then the FI algorithm may be applied to find and add the
candidate feature(s) that give the largest `gain' in terms of Kullback
Leibler divergence when it is added to the current set of features.

%description -l pl.UTF-8
Ten moduł jest implementacją algorytmów uogólnionego i ulepszonego
iteracyjnego skalowania (GIS, IIS) oraz algorytmu indukcji cech (FI -
Feature Induction), zdefiniowanych przez Darrocha i Ratcliffa w 1972
roku oraz Della Pietra i innych w 1997. Celem algorytmów skalujących
jest znalezienie maksymalnego rozproszenia entropii zadanej zbiorem
zdarzeń i (opcjonalnie) początkowym rozproszeniem. Można podać także
zbiór cech-kandydatów; wtedy może być zastosowany algorytm FI do
odnalezienia i dodanie cech-kandydatów, które dają największy zysk w
sensie odchylenia Kullbacka-Leiblera kiedy są dodane do aktualnego
zbioru cech.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

# kill insecure /tmp usage and possible conflict with another users' builds
install -d tmp
%{__perl} -pi -e 's@"/tmp"@"tmp"@' t/0[01]*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README *txt
%attr(755,root,root) %{_bindir}/ME.wrapper.pl
%{perl_vendorlib}/Statistics/*.pm
# empty autosplit.ix files
#%%{perl_vendorlib}/auto/Statistics/Candidates
#%%{perl_vendorlib}/auto/Statistics/MaxEntropy
#%%{perl_vendorlib}/auto/Statistics/SparseVector
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-MaxEntropy.spec,v $
Revision 1.41  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.39  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.38  2004/11/03 22:30:44  paladine
- formatting

Revision 1.37  2004/05/23 01:25:07  qboosh
- kill insecure /tmp usage on tests (caused build failure on ac-i586)
- release 15

Revision 1.36  2004/05/22 19:57:39  qboosh
- BR+R perl-perldoc (module uses diagnostics.pm which requires perldiag.pod)
- release 14

Revision 1.35  2004/05/07 01:06:42  ankry
- rel. 13

Revision 1.34  2004/05/06 18:21:06  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/02 05:34:24  ankry
- license fix, cosmetics

Revision 1.32  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.31  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:09:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/28 10:08:31  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.24  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:38:21  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/09/19 12:16:11  ankry
- added tests on bcond
- removed empty autosplit.ix files, cleaning
- release 11

Revision 1.21  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.20  2002/08/11 19:36:49  radek
- release up

Revision 1.19  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:20:02  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:34:48  depesz
adapterized

Revision 1.12  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:40  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 20:44:22  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
